[Deprecated]: V4.0
post
/ec-designer-svc/rest/v4.0/studies/{studyId}/versions/{version}/randomizations
Deprecated: Use latest version instead. Creates a randomization design in the specified study version. The request defines the randomization details, treatment arms, visits, and settings. The response returns the saved randomization design with its generated identifier and configured details.
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
F054C951EB74443C93716CA714AB686E -
version(required): string
Study version path segment. Required. Example: "1.0.0.1".Example:
1.0.0.1
Supported Media Types
- application/json
Root Schema : RandomizationDto v4.0
Type:
objectTitle:
RandomizationDto v4.0Randomization Design Info
Show Source
-
arms: array
arms
-
details(required): object
RandomizationDetails v4.0
Title:
RandomizationDetails v4.0Details of the randomization design. -
id: string
(uuid)
Randomization GUID
-
settings(required): object
RandomizationSettings v4.0
Title:
RandomizationSettings v4.0The settings for the randomization design. -
versionStart: string
(date-time)
Version Start dateExample:
2018-11-23T08:43:01.7Z -
visits: array
visits
Nested Schema : arms
Type:
Show Source
array-
Array of:
object RandomizationArm v4.0
Title:
RandomizationArm v4.0Randomization Design Treatment Arm Ratio
Nested Schema : RandomizationDetails v4.0
Type:
objectTitle:
RandomizationDetails v4.0Details of the randomization design.
Show Source
-
algorithm(required): string
Allowed Values:
[ "NONE", "CENTRAL", "CENTRAL_STRATIFIED", "SITE_BLOCKED_FIXED", "SITE_BLOCKED_FIXED_STRATIFIED", "SITE_BLOCKED_DYNAMIC", "SITE_BLOCKED_DYNAMIC_STRATIFIED", "COUNTRY_BLOCKED_FIXED", "COUNTRY_BLOCKED_FIXED_STRATIFIED", "COUNTRY_BLOCKED_DYNAMIC", "COUNTRY_BLOCKED_DYNAMIC_STRATIFIED", "REGION_BLOCKED_FIXED", "REGION_BLOCKED_FIXED_STRATIFIED", "REGION_BLOCKED_DYNAMIC", "REGION_BLOCKED_DYNAMIC_STRATIFIED", "MINIMIZATION" ]The algorithm of the randomization designExample:Central -
cohortType(required): string
Allowed Values:
[ "NoCohort", "Adaptive", "Demography", "invalid" ]The cohort type of the randomization designExample:None -
description: string
Minimum Length:
0Maximum Length:4000Randomization Design DescriptionExample:Method to assign study participants to a treatment group. -
randomizationType(required): string
Allowed Values:
[ "Blinded", "Unblinded", "invalid" ]Type of the randomization designExample:Blinded -
reRandomization: boolean
Whether to use re-randomization on the randomization designExample:
true -
title(required): string
Minimum Length:
1Maximum Length:64Randomization TitleExample:Rand 001 -
treatmentArms: string
Allowed Values:
[ "Randomized", "Mapped", "None", "invalid" ]Whether to use randomized or mapped on the randomization designExample:Randomized
Nested Schema : RandomizationSettings v4.0
Type:
objectTitle:
RandomizationSettings v4.0The settings for the randomization design.
Show Source
-
assignNewRandomizeNumbers: boolean
Whether to assign new randomization numbers to all subjectsExample:
false -
assignSkippedRandomizationNumbers: boolean
Whether to assign skipped randomization numbersExample:
false -
randomizeLimitsToCountEarlyTerminated: boolean
Whether limits include withdrawn subjectsExample:
false -
randomizeNumberBlinded: boolean
Whether to use blinded randomization numbersExample:
false -
randomizeSubjectsIfSitesOutOfKits: boolean
Whether to restrict randomization numbers to available kit typesExample:
false
Nested Schema : visits
Type:
Show Source
array-
Array of:
object RandomizationVisit v4.0
Title:
RandomizationVisit v4.0Randomization Visit
Nested Schema : RandomizationArm v4.0
Type:
objectTitle:
RandomizationArm v4.0Randomization Design Treatment Arm Ratio
Show Source
-
id(required): string
(uuid)
Treatment Arm GUID
-
name: string
Treatment Arm NameExample:
Arm1 -
ratio(required): integer
(int32)
Minimum Value:
1Maximum Value:99Allowed Values:[ null ]The ratio defined for the treatment armExample:2
Nested Schema : RandomizationVisit v4.0
Type:
objectTitle:
RandomizationVisit v4.0Randomization Visit
Show Source
-
branchId: string
(uuid)
The id of the branch
-
visitId(required): string
(uuid)
Visit GUID
-
visitName: string
Visit nameExample:
Week 3
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : RandomizationDto v4.0
Type:
objectTitle:
RandomizationDto v4.0Randomization Design Info
Show Source
-
arms: array
arms
-
details(required): object
RandomizationDetails v4.0
Title:
RandomizationDetails v4.0Details of the randomization design. -
id: string
(uuid)
Randomization GUID
-
settings(required): object
RandomizationSettings v4.0
Title:
RandomizationSettings v4.0The settings for the randomization design. -
versionStart: string
(date-time)
Version Start dateExample:
2018-11-23T08:43:01.7Z -
visits: array
visits
Nested Schema : arms
Type:
Show Source
array-
Array of:
object RandomizationArm v4.0
Title:
RandomizationArm v4.0Randomization Design Treatment Arm Ratio
Nested Schema : RandomizationDetails v4.0
Type:
objectTitle:
RandomizationDetails v4.0Details of the randomization design.
Show Source
-
algorithm(required): string
Allowed Values:
[ "NONE", "CENTRAL", "CENTRAL_STRATIFIED", "SITE_BLOCKED_FIXED", "SITE_BLOCKED_FIXED_STRATIFIED", "SITE_BLOCKED_DYNAMIC", "SITE_BLOCKED_DYNAMIC_STRATIFIED", "COUNTRY_BLOCKED_FIXED", "COUNTRY_BLOCKED_FIXED_STRATIFIED", "COUNTRY_BLOCKED_DYNAMIC", "COUNTRY_BLOCKED_DYNAMIC_STRATIFIED", "REGION_BLOCKED_FIXED", "REGION_BLOCKED_FIXED_STRATIFIED", "REGION_BLOCKED_DYNAMIC", "REGION_BLOCKED_DYNAMIC_STRATIFIED", "MINIMIZATION" ]The algorithm of the randomization designExample:Central -
cohortType(required): string
Allowed Values:
[ "NoCohort", "Adaptive", "Demography", "invalid" ]The cohort type of the randomization designExample:None -
description: string
Minimum Length:
0Maximum Length:4000Randomization Design DescriptionExample:Method to assign study participants to a treatment group. -
randomizationType(required): string
Allowed Values:
[ "Blinded", "Unblinded", "invalid" ]Type of the randomization designExample:Blinded -
reRandomization: boolean
Whether to use re-randomization on the randomization designExample:
true -
title(required): string
Minimum Length:
1Maximum Length:64Randomization TitleExample:Rand 001 -
treatmentArms: string
Allowed Values:
[ "Randomized", "Mapped", "None", "invalid" ]Whether to use randomized or mapped on the randomization designExample:Randomized
Nested Schema : RandomizationSettings v4.0
Type:
objectTitle:
RandomizationSettings v4.0The settings for the randomization design.
Show Source
-
assignNewRandomizeNumbers: boolean
Whether to assign new randomization numbers to all subjectsExample:
false -
assignSkippedRandomizationNumbers: boolean
Whether to assign skipped randomization numbersExample:
false -
randomizeLimitsToCountEarlyTerminated: boolean
Whether limits include withdrawn subjectsExample:
false -
randomizeNumberBlinded: boolean
Whether to use blinded randomization numbersExample:
false -
randomizeSubjectsIfSitesOutOfKits: boolean
Whether to restrict randomization numbers to available kit typesExample:
false
Nested Schema : visits
Type:
Show Source
array-
Array of:
object RandomizationVisit v4.0
Title:
RandomizationVisit v4.0Randomization Visit
Nested Schema : RandomizationArm v4.0
Type:
objectTitle:
RandomizationArm v4.0Randomization Design Treatment Arm Ratio
Show Source
-
id(required): string
(uuid)
Treatment Arm GUID
-
name: string
Treatment Arm NameExample:
Arm1 -
ratio(required): integer
(int32)
Minimum Value:
1Maximum Value:99Allowed Values:[ null ]The ratio defined for the treatment armExample:2
Nested Schema : RandomizationVisit v4.0
Type:
objectTitle:
RandomizationVisit v4.0Randomization Visit
Show Source
-
branchId: string
(uuid)
The id of the branch
-
visitId(required): string
(uuid)
Visit GUID
-
visitName: string
Visit nameExample:
Week 3
Examples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}